Package org.apache.nutch.crawl

## Class Generator.SelectorEntry

- java.lang.Object
- - org.apache.nutch.crawl.Generator.SelectorEntry

- All Implemented Interfaces:
    `Writable`
  Enclosing class:
    Generator

      public static class Generator.SelectorEntry
      extends Object
      implements Writable

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `CrawlDatum` | `datum` |
    `IntWritable` | `segnum` |
    `Text` | `url` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SelectorEntry()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `readFields​(DataInput in)` |
    `String` | `toString()` |
    `void` | `write​(DataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### url

          public Text url

    - #### datum

          public CrawlDatum datum

    - #### segnum

          public IntWritable segnum

  - ### Constructor Detail

    - #### SelectorEntry

          public SelectorEntry()

  - ### Method Detail

    - #### readFields

          public void readFields​(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### write

          public void write​(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`